#include "hmmmodule.h"

#include <boost/python.hpp>
#include <boost/python/module.hpp>
#include <boost/python/def.hpp>
#include <boost/python/list.hpp>
#include <boost/python/stl_iterator.hpp>
#include <boost/python/suite/indexing/vector_indexing_suite.hpp>
#include <boost/python/suite/indexing/map_indexing_suite.hpp>

using namespace boost::python;

// Python declarations

BOOST_PYTHON_MODULE(hmm_cpp)
{
    class_<std::vector<double> >("VectorOfDouble")
        .def(vector_indexing_suite<std::vector<double> >() )
    ;

    class_<std::map<double, double> >("LinInterp")
            .def(map_indexing_suite<std::map<double, double> >() );

    def("hmm_main", hmm_main);
    def("linear_interp1", linear_interp1);

}
